<div class="mr-8 mb-4">
    <h3 class="italic text-gray-500 text-xs dark-mode:text-gray-600 mb-1">Public Access Check</h3>
    <div class="flex rounded dark-mode:bg-gray-800 px-6 py-3 border border-gray-200 dark-mode:border-gray-700">
        <div class="flex flex-col items-center" id="peek:public-access-loader">
            @include('peek::partials.spinner')
            <p class="text-gray-600 mt-2">Checking for access</p>
        </div>
        <div class="flex flex-col items-center hidden text-green-500" id="peek:public-access-success">
            <svg width="45" height="45" viewBox="0 0 35 35" class="fill-current">
                <use href="#check"></use>
            </svg>
            <p class="text-gray-800 dark-mode:text-gray-400 mt-2">Publicly <span class="font-bold">accessible</span></p>
        </div>
        <div class="flex flex-col items-center hidden mt-1" id="peek:public-access-error">
            <svg width="45" height="45" viewBox="0 0 35 35" class="text-red-500 fill-current">
                <use href="#cross"></use>
            </svg>
            <p class="text-gray-800 dark-mode:text-gray-400 mt-2">Access is <span class="font-bold">restricted</span></p>
        </div>
    </div>
    <script>
        (function () {
            let xhr = new XMLHttpRequest()
            xhr.open('GET', '{{ route('peek.public-access.index') }}')
            document.addEventListener('DOMContentLoaded', () => {
                xhr.send()
                xhr.onload = function () {
                    document.getElementById('peek:public-access-loader').remove()
                    if (xhr.status === 200) {
                        document.getElementById('peek:public-access-success').classList.remove('hidden')
                        return
                    }

                    document.getElementById('peek:public-access-error').classList.remove('hidden')
                }
            })
        })()
    </script>
</div>
