@extends('peek::layouts.app')

@section('content')
    <div class="pt-12 px-12 mx-auto">
        @if (session('success'))
            <div class="bg-green-500 rounded w-full text-white py-2 px-3 mb-3">
                {{ session('success') }}
            </div>
        @endif

        <div class="p-6 rounded-lg mb-12">
            <form action="{{ route('peek.environment.update') }}" method="POST">
                {!! csrf_field() !!}
                {!! method_field('PATCH') !!}
                <div class="flex justify-between items-center mb-3">
                    <h2 class="text-lg font-bold mb-12">Env Variables</h2>
                    <button class="bg-green-500 text-white rounded shadow py-1 px-3 tracking-wider">Save</button>
                </div>
                <div class="w-full font-mono flex">
                    <div>
                        @foreach($envVariables as $variable)
                            <div class="block pr-2 border-b border-solid border-gray-200 dark-mode:border-gray-700">
                                <div class="w-full flex justify-end items-center h-12 text-right @if($variable->isBanned()) text-gray-500 @endif">
                                    @if($variable->isBanned())<span class="text-xs bg-gray-300 dark-mode:bg-gray-700 text-white rounded p-2 mr-3">hidden</span>@endif {{ $variable->name() }}
                                </div>
                            </div>
                        @endforeach
                    </div>
                    <div class="flex-1">
                        @foreach($envVariables as $variable)
                            <div class="block border-b border-solid border-gray-200 dark-mode:border-gray-700">
                                <div
                                    class="flex h-12 @if($variable->isBanned() === false) text-blue-500 @endif"
                                    @if($variable->isBanned() === false) @endif
                                >
                                    @if($variable->isBanned())
                                        <span class="flex items-center px-2">{{ $variable->value() }}</span>
                                    @else
                                        <input name="env[{{ $variable->name() }}]" value="{{ $variable->value() }}" class="h-full w-full px-2" />
                                    @endif
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </form>
        </div>
    </div>
@endsection
