<?php

namespace Drp\Peek\Environment;

use Illuminate\Support\Collection;

class BannedVariables extends Collection
{
    public function __construct(array $variables = [])
    {
        parent::__construct($variables);

        $this->items = array_map(function ($bannedVariable) {
            return str_replace('*', '.*', $bannedVariable);
        }, $this->items);
    }

    public function isBanned(string $variableName): bool
    {
        foreach ($this->items as $bannedVariable) {
            $matches = preg_grep("/$bannedVariable/", [$variableName]);

            if (count($matches) > 0) {
                return true;
            }
        }

        return false;
    }
}
