<?php

namespace Drp\Peek\Filesystem;

use Illuminate\Contracts\Filesystem\Filesystem as FilesystemContract;
use Illuminate\Filesystem\Filesystem;
use Illuminate\Filesystem\FilesystemManager as IlluminateFilesystem;

class FilesystemManager extends IlluminateFilesystem
{
    public function set(string $name, FilesystemContract $disk): self
    {
        $this->disks[$name] = $disk;

        return $this;
    }

    public function fake(?string $disk = null): void
    {
        $disk = $disk ?: app('config')->get('filesystems.default');

        (new Filesystem)->cleanDirectory(
            $root = storage_path('framework/testing/disks/'.$disk)
        );

        static::set($disk, self::createLocalDriver(['root' => $root]));
    }
}
